#
# This is the AK command definitions for AVL415G 
# (Generic Communications Protocol) Smoke Meter.
# The spec file is required by the AK_sync collector
# task.
#
# History:
#  02/23/07 - clf - Initial version based on 483.
#                   Add optional returned parameter flag.
#
$Device
/dev/rckt1:9600,8,1,N
# 192.168.222.200:5304

$Timeout
# default timeout in milliseconds
2000
#
# Name task will attach to.  Note if you to have multiple smoke meters
# the will need to be unique.  
#
$Instrument
AVL415G

# Error response formats
$OK
K0 OK
$Offline
K0 OF
$Busy
K0 BS
$SyntaxErr
K0 SE
$DataErr
K0 DF
$NotAvailable
K0 NA

# Command formats
# Command format   Response format  [timeout]
#
$CmdDef
# Control Commands have no data response
#CommandString formats AK_Command [Timeout(msec)]
# comma or tab delmited
#command string,[response],[timeout]
SRES
SMAN
SREM
SRDY
SASB
SMES,-,60000
SPUL,-,6500
SPSE
SPSA
SFPF
SEX1
SEX2
SVOP
SKOR
SMKA
SMRE
SLEC
SBSZ
# Query Commands get data
# # before % implies returned parameter is optional
# comma or tab delmited
#command string,[response],[timeout]
AKEN,%s %s
AMZY,%d %d %d
ASYS,%f %d %d
APLP,%d %d %f
AMMP,%d %d %d
ACPA,%d %d %d %f
AGPA,%d %d %d %d %d
ASTF,%d
# ASTZ 4 or 5 returns depends on if single-flow or two-channel Measurement
ASTZ,%s %s %s #%s #%s
APAP,%d 
# AKON,AFSN,APOL first parameter indicates number of other parameters returned
AKON,%d #%f #%f #%f #%f #%f #%f #%f
AFSN,%d #%f #%f #%f #%f #%f #%f #%f
APOL,%d #%f #%f #%f #%f #%f #%f #%f
ASER,%f %f %f %f %f %f %f %f %f %f %f %f %f %d
AOPT,%f %f %f %f
AEVL,%d %d
AIZU,%s %d %d %s %d %d %d %d %d %d
AIDA,%f %f %f %f %d %d %d %f
AADC,%d %d %f %f
AVKF,%d %d %f
ABSZ,%d %d

# Setting commands set data
# comma or tab delmited
# NOTE: NO optional output parameters
#command string,[response],[timeout]
EMZY %s %d %d
ESYS %f %d %d
EPLP %d %d %f
EMMP %d %d %d
ECPA %d %d %d %f
EGPA %d %d %d %d %f
# this section should with a $
$  
